summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/fake_ftp')
-rw-r--r--dev-ruby/fake_ftp/Manifest1
-rw-r--r--dev-ruby/fake_ftp/fake_ftp-0.3.0.ebuild22
-rw-r--r--dev-ruby/fake_ftp/metadata.xml11
3 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/fake_ftp/Manifest b/dev-ruby/fake_ftp/Manifest
new file mode 100644
index 000000000000..139936d18829
--- /dev/null
+++ b/dev-ruby/fake_ftp/Manifest
@@ -0,0 +1 @@
+DIST fake_ftp-0.3.0.gem 94720 BLAKE2B 98d96324eb84654300785a82a1fd9a78abf44cf8fa8e062bc5dd4629147b5753aaa8554319b623bb4ea208bc055ead251ccb66d4e31ec1738d07700c9f8e4e57 SHA512 2aa106ff76d42a04863fb0db82b782b6e36d20e686ea5d1c564be32fbebd815e2d2e046e26e4fa71232e87ae523a1b5da7165fa51398b588546d561b0a565c20
diff --git a/dev-ruby/fake_ftp/fake_ftp-0.3.0.ebuild b/dev-ruby/fake_ftp/fake_ftp-0.3.0.ebuild
new file mode 100644
index 000000000000..336cf5b23e41
--- /dev/null
+++ b/dev-ruby/fake_ftp/fake_ftp-0.3.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Testing FTP? Use this!"
+HOMEPAGE="https://github.com/livinginthepast/fake_ftp"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/ s:^:#:' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/fake_ftp/metadata.xml b/dev-ruby/fake_ftp/metadata.xml
new file mode 100644
index 000000000000..d126c4f79f47
--- /dev/null
+++ b/dev-ruby/fake_ftp/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">livinginthepast/fake_ftp</remote-id>
+ </upstream>
+</pkgmetadata>